## martian-modem 20080617

=== Makefile ===
all: 
	$(MAKE) -C kmodule/ modules
	$(MAKE) -C modem/ all
#	$(MAKE) -C utils/ ptytosock

install:
	$(MAKE) -C kmodule/ install
	$(MAKE) -C modem/ install

clean:
	$(MAKE) -C kmodule/ clean
	$(MAKE) -C modem/ clean
