=== kmodule/Makefile ===
KRELEASE = $(shell uname -r)
KBUILD_DIR = /lib/modules/$(KRELEASE)/build
MSRC_DIR = $(shell pwd)

martian_cppflags = -DKMARTIAN_STAMP=20080617
EXTRA_CFLAGS	+= $(martian_cppflags)
ccflags-y	+= $(martian_cppflags)

# kbuild
martian_dev-objs = martian.o marsio.o mfifo.o
obj-m = martian_dev.o

all: modules

modules:
	$(MAKE) -C $(KBUILD_DIR) M="$(MSRC_DIR)"  modules

clean:
	$(MAKE) -C $(KBUILD_DIR) M="$(MSRC_DIR)" clean

install:
	$(MAKE) -C $(KBUILD_DIR) M="$(MSRC_DIR)" modules_install
	if ! /sbin/modprobe -nq martian_dev ; then /sbin/depmod -a; fi
#

# dependencies 
martian.o: martian_ids.c marsio.h ../martian.h
martian_dev-objs: kmartian.h mfifo.h
