=== kmodule/Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
 KRELEASE = $(shell uname -r)
+ifdef  KERNEL_DIR
+KBUILD_DIR = $(KERNEL_DIR)
+else
 KBUILD_DIR = /lib/modules/$(KRELEASE)/build
+endif
 MSRC_DIR = $(shell pwd)
 
-martian_cppflags = -DKMARTIAN_STAMP=20080617
+martian_cppflags = -DKMARTIAN_STAMP=20080620
 EXTRA_CFLAGS	+= $(martian_cppflags)
 ccflags-y	+= $(martian_cppflags)
