=== modem/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 CC	    := gcc
 
 CFLAGS	    := -Wall
-#CPPFLAGS    += -DMSTAMP=20080617
+#CPPFLAGS    += -DMSTAMP=20080620
 
 HOST := $(shell uname -i)
 ifeq ("$(HOST)", "x86_64")
@@ -59,7 +59,7 @@
 main.o pty.o mport.o link.o dumpers.o isr.o smp.o log.o session.o tweakrelocsdynamic.o sysdep.o: log.h common.h
 core_if.o coresubst.o: overriden_core.h
 
-main.o: CPPFLAGS += -DMSTAMP=20080617
+main.o: CPPFLAGS += -DMSTAMP=20080620
 	
 overriden_core.h: overriden_core_functions
 	@set -e; \
