=== debian/changelog ===
martian-modem (20080625-2) unstable; urgency=low

  * The 'Thats-was-niceeeeee' dupload.
  * Use a hidden daemon's feature to allow custom mode, enabling regular 
     non-root users to dial-out through dialout group (Closes: #613773).
  * Depends on debhelper, fixes a build-dep issue on building the custom kernel
     module (Closes: #613896).
  * Switch package format to 3.0 (quilt).
  * Cleaning redundant build-deps (since we use quilt source format).
  * Update Standard-version to 3.9.1 (no changes needed).

 -- Ulises Vitulli <dererk@debian.org>  Sat, 26 Mar 2011 04:10:25 -0300

martian-modem (20080625-1) unstable; urgency=low

  * New upstream release (Closes: #521749). 
  * Patch for 2.6.32 linux scheduler (Closes: #563508).
    - debian/patches/include_2.6.32-scheduler.patch
    - debian/README.source: Created.
    - debian/control: Adding dependency on quilt.
  * Minor pkg fixes: 
    - debian/martian_modem.8: Fixing spelling errors (Closes: #563529).
    - Updated Package to apply to policy 3.8.3.
    - debian/control: Added misc:Depends.
    - debian/compat: Pop'd to 6 as we ask for newer debhelper.
    - debian/copyright: fixed non-utf8 symbol.
  * update-devfsd is no longer necessary (Closes: #561689).
  * debian/martian-modem.init.d: Consider the possibility that var/run dir
     could be a tmpfs-like.  

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Wed, 13 Jan 2010 13:29:58 -0300

martian-modem (20080617-1) unstable; urgency=low

  * New maintainer (Closes: #481430).
  * New upstream release (Closes: #484494, #486003).

 -- Ulises Vitulli <uvitulli@fi.uba.ar>  Tue, 17 Jun 2008 17:27:32 -0300

martian-modem (20071011-1) unstable; urgency=low

  * New upstream release (Closes: #448340, #473113, #473115)

 -- Mariano (Dererk) Velez <dererk@madap.com.ar>  Mon, 31 Mar 2008 01:29:01 -0300

martian-modem (20061203-1) unstable; urgency=low

  * Initial release (Closes: #435745)

 -- Mariano (Dererk) Velez <dererk@madap.com.ar>  Tue, 31 Jul 2007 23:50:30 -0300
