=== debian/control ===
Source: martian-modem
Section: non-free/net
Priority: optional
Maintainer: Ulises Vitulli <dererk@debian.org>
Build-Depends: debhelper (>= 6.0.7~), bzip2
Standards-Version: 3.9.1
Homepage: http://phep2.technion.ac.il/linmodems/packages/ltmodem/kernel-2.6/martian

Package: martian-modem
Architecture: i386 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ltmodem alternative driver providing support for Agere WinModem
 Martian is software to serve the Agere Systems PCI WinModem under Linux. 
 These are modems built on DSP 164x (Mars) series and major IBM ThinkPad A20 
 and many T20 series
 . 
 Project is established in the course of Linmodems group helping efforts

Package: martian-modem-source
Architecture: i386
Depends: ${misc:Depends}, debhelper, make, bzip2
Recommends: martian-modem, module-assistant
Description: Source for the martian-modem driver
 This package provides the source code for the martian-modem kernel module
 .
 Martian is software to serve the Agere Systems PCI WinModem under Linux. 
 These are modems built on DSP 164x (Mars) series and major IBM ThinkPad A20 
 and many T20 series
